Bug 494687 - (open64) open64 + openUH compiler merge and compilation
open64 + openUH compiler merge and compilation
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.3
ia64 Linux
low Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 15:03 EDT by hi.joony@gmail.com
Modified: 2013-03-12 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 13:47:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
open64 + openUH compiler merge and compilation (1.46 MB, application/octet-stream)
2009-04-07 15:03 EDT, hi.joony@gmail.com
no flags Details

  None (edit)
Description hi.joony@gmail.com 2009-04-07 15:03:28 EDT
Created attachment 338577 [details]
open64 + openUH compiler merge and compilation

Description of problem:
open64 compilation error


Version-Release number of selected component (if applicable):
../../wgen/wgen_expr.cxx: In function ‘bool WGEN_Call_Returns_Ptr_To_Member_Func(gspin*)’:
../../wgen/wgen_expr.cxx:8802: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccKm208X.out file, please attach this to your bugreport.
gmake[3]: *** [wgen_expr.o] Error 1
gmake[3]: Leaving directory `/mnt/atlantis02/j/joony/opt/OpenUH/osprey/targia64_ia64_nodebug/wgen'
gmake[2]: *** [default] Error 2
gmake[2]: Leaving directory `/mnt/atlantis02/j/joony/opt/OpenUH/osprey/targia64_ia64_nodebug/wgen'
gmake[1]: *** [wgen] Error 2
gmake[1]: Leaving directory `/mnt/atlantis02/j/joony/opt/OpenUH'
gmake: *** [build] Error 2


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Error with segmentation fault by OS

Expected results:
success of compilation

Additional info:
Comment 1 Julien 2011-08-04 04:21:38 EDT
I had this problem and the solution for me was to compile gcc 4.3.5 and then compile open64 with this version of gcc.
Hope that it still helps.
I used open64 4.2.4 on ia64 RHEL 5.5.
Comment 3 Jeff Law 2013-03-12 13:47:12 EDT
We don't support open64.

Note You need to log in before you can comment on or make changes to this bug.